package Ex6_3
  model graph
    // we will calculate -(1 / rA) here then plot graph using these values and solve questions using graph
    Real rAinv[8](each unit = "m^3.min/mmol") "1/-rA";
    parameter Real CA0[8](each unit = "mmol/m^3") = {2, 5, 6, 6, 11, 14, 16, 24}, CA[8](each unit = "mmol/m^3") = {0.5, 3, 1, 2, 6, 10, 8, 4}, tau[8](each unit = "min") = {30, 1, 50, 8, 4, 20, 20, 4};
  equation
    rAinv = tau ./ (CA0 - CA);
//plot graph (1/-rA) vs CA and solve questions
  end graph;

  model a
    Real V(unit = "m^3") "volume of reactor", R, vr(unit = "m^3/min"), tau(unit = "min"), area;
    parameter Real CA0(unit = "mmol/m^3") = 10, CAin(unit = "mmol/m^3") = 6.6, v0(unit = "m^3/min") = 0.1;
  equation
    R = (CA0 - CAin) / (CAin - 1);
    area = (CA0 - 1) * 1.2;
    tau = area;
    V = tau * v0;
    vr = v0 * R;
  end a;

  model b
    Real V(unit = "m^3")"Volume of One tank", V1(unit = "m^3")"Volume of First tank", V2(unit = "m^3")"Volume of second tank", Vtotal(unit = "m^3")"Total Volume";
    parameter Real tau(unit = "min") = 90"Residence time of one tank", tau1(unit = "min") = 5.92"Residence time of first tank", tau2(unit = "min") = 16"Residence time of second tank", v(unit = "m^3/min") = 0.1"volumetric flow rate";
    //tau calculated from area of graph
  equation
    V = tau * v;
    V1 = tau1 * v;
    V2 = tau2 * v;
    Vtotal = V1 + V2;
  end b;

  model c
    Real Vm(unit = "m^3") "Volume of MFR", Vp(unit = "m^3") "Volume of PFR", Vtotal(unit = "m^3") "total volume";
    parameter Real taum(unit = "min") = 1.2 "space time for MFR", taup(unit = "min") = 5.8 "space time for PFR", v(unit = "m^3/min") = 0.1 "Volumetric flow rate";
  equation
    Vm = v * taum;
    Vp = v * taup;
    Vtotal = Vm + Vp;
  end c;
end Ex6_3;
